com.ibm.openpages.api.workflow

## Class WFProcessDefinitionList

- java.lang.Object
- - com.ibm.openpages.api.workflow.WFProcessDefinitionList

- All Implemented Interfaces:
    java.io.Serializable

      public class WFProcessDefinitionList
      extends java.lang.Object
      implements java.io.Serializable

  The list class to provide fetching result of process definitions Refer `IWorkflowService.getProcessDefinitions(IWFProcessDefinitionFindOptions)`
  Since:
    8.0.0.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WFProcessDefinitionList(int totalResultCount, java.util.List<IWFProcessDefinition> processDefinitions)`
    `WFProcessDefinitionList(java.util.List<IWFProcessDefinition> processDefinitions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IWFProcessDefinition>` | `getProcessDefinitions()` Get the list of `IWFProcessDefinition` results based on the Search options provided via {#link IWFProcessDefinitionFindOptions}
    `int` | `getTotalResultCount()` Returns the total count of results regardless of paging..

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WFProcessDefinitionList

          public WFProcessDefinitionList(java.util.List<IWFProcessDefinition> processDefinitions)

    - #### WFProcessDefinitionList

          public WFProcessDefinitionList(int totalResultCount,
                                         java.util.List<IWFProcessDefinition> processDefinitions)

  - ### Method Detail

    - #### getTotalResultCount

          public int getTotalResultCount()

      Returns the total count of results regardless of paging..
      Returns:
        The total count.

    - #### getProcessDefinitions

          public java.util.List<IWFProcessDefinition> getProcessDefinitions()

      Get the list of `IWFProcessDefinition` results based on the Search options provided via {#link IWFProcessDefinitionFindOptions}
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.